Skip to main content
GET
/
forms
/
{formId}
/
submissions
Get all submissions
curl --request GET \
  --url https://api.fillout.com/v1/api/forms/{formId}/submissions \
  --header 'Authorization: Bearer <token>'
{
  "responses": [
    {
      "submissionId": "<string>",
      "submissionTime": "2023-11-07T05:31:56Z",
      "questions": [
        {
          "id": "<string>",
          "name": "<string>",
          "type": "<string>",
          "value": "<unknown>"
        }
      ],
      "lastUpdatedAt": "2023-11-07T05:31:56Z",
      "calculations": [
        {
          "id": "<string>",
          "name": "<string>",
          "type": "number",
          "value": "<string>"
        }
      ],
      "urlParameters": [
        {
          "id": "<string>",
          "name": "<string>",
          "value": "<string>"
        }
      ],
      "scheduling": [
        {
          "id": "<string>",
          "name": "<string>",
          "value": {
            "fullName": "<string>",
            "email": "jsmith@example.com",
            "timezone": "<string>",
            "eventStartTime": "2023-11-07T05:31:56Z",
            "eventEndTime": "2023-11-07T05:31:56Z",
            "eventId": "<string>",
            "eventUrl": "<string>",
            "rescheduleOrCancelUrl": "<string>",
            "userId": 123,
            "scheduledUserEmail": "jsmith@example.com",
            "meetingNotes": "<string>"
          }
        }
      ],
      "payments": [
        {
          "id": "<string>",
          "name": "<string>",
          "value": {
            "paymentId": "<string>",
            "stripeCustomerId": "<string>",
            "stripeCustomerUrl": "<string>",
            "stripePaymentUrl": "<string>",
            "totalAmount": 123,
            "currency": "<string>",
            "email": "jsmith@example.com",
            "discountCode": "<string>",
            "status": "<string>",
            "stripeSubscriptionId": "<string>"
          }
        }
      ],
      "quiz": {
        "score": 123,
        "maxScore": 123
      },
      "login": {
        "email": "jsmith@example.com"
      }
    }
  ],
  "totalResponses": 123,
  "pageCount": 123
}

Documentation Index

Fetch the complete documentation index at: https://fillout.com/help/llms.txt

Use this file to discover all available pages before exploring further.

New field types are added regularly. Your application should discard fields with unknown types.

Authorizations

Authorization
string
header
required

Enter your Fillout API key. Format: Bearer <api_key>

Path Parameters

formId
string
required

The public identifier of the form

Query Parameters

limit
integer
default:50

The maximum number of submissions to retrieve per request

Required range: 1 <= x <= 150
afterDate
string<date-time>

A date string to filter submissions submitted after this date

beforeDate
string<date-time>

A date string to filter submissions submitted before this date

offset
integer
default:0

The starting position from which to fetch the submissions

status
enum<string>

Pass 'in_progress' to get unfinished submissions. By default, only 'finished' submissions are returned

Available options:
finished,
in_progress

Pass true to include a link to edit the submission as 'editLink'

includePreview
boolean

Pass true to include preview responses

sort
enum<string>
default:asc

Sort order for the submissions

Available options:
asc,
desc

Filter for submissions containing a string of text

Response

200 - application/json

List of submissions

responses
object[]
required

List of submissions

totalResponses
integer
required

Total number of submissions matching given parameters

pageCount
integer
required

Total number of pages of submissions based on provided limit